curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-gleif-companies-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "Apple",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-gleif-companies-search"
payload = {
"keyword": "Apple",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'Apple', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-gleif-companies-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "gleif_companies_search",
"keyword": "Apple",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# GLEIF — LEI search — company search\n\n- **Keyword:** Apple\n- **Results:** 2 of 592 found\n- **Proxy traffic:** 115.8 KB",
"machine": {
"total_items": 2,
"first_item": {
"registration_number": "549300X743WADMY1OQ21",
"name": "26426 NATIONAL TRAILS PROPERTY LLC",
"status": "LAPSED",
"address": "C/O MUNEM MAIDA, 13601 APPLE VALLEY ROAD, 92308 APPLE VALLEY, US-CA, US",
"url": "https://search.gleif.org/#/record/549300X743WADMY1OQ21",
"company_type": "EI4J",
"incorporation_date": "2019-09-17",
"legal_form_code": "EI4J",
"legal_form_other": null,
"entity_status": "ACTIVE",
"category": "GENERAL",
"sub_category": null,
"jurisdiction": "US-CA",
"country": "US",
"headquarters_address": "13601 APPLE VALLEY RD, 92308 APPLE VALLEY, US-CA, US",
"registered_at": "RA000598",
"registered_as": "201926710142",
"other_names": [],
"transliterated_other_names": [],
"initial_registration_date": "2020-07-03",
"last_update_date": "2025-06-24",
"next_renewal_date": "2021-07-02",
"managing_lou": "5493001KJTIIGC8Y1R12",
"corroboration_level": "FULLY_CORROBORATED",
"conformity_flag": "NON_CONFORMING"
},
"items": [
{
"registration_number": "549300X743WADMY1OQ21",
"name": "26426 NATIONAL TRAILS PROPERTY LLC",
"status": "LAPSED",
"address": "C/O MUNEM MAIDA, 13601 APPLE VALLEY ROAD, 92308 APPLE VALLEY, US-CA, US",
"url": "https://search.gleif.org/#/record/549300X743WADMY1OQ21",
"company_type": "EI4J",
"incorporation_date": "2019-09-17",
"legal_form_code": "EI4J",
"legal_form_other": null,
"entity_status": "ACTIVE",
"category": "GENERAL",
"sub_category": null,
"jurisdiction": "US-CA",
"country": "US",
"headquarters_address": "13601 APPLE VALLEY RD, 92308 APPLE VALLEY, US-CA, US",
"registered_at": "RA000598",
"registered_as": "201926710142",
"other_names": [],
"transliterated_other_names": [],
"initial_registration_date": "2020-07-03",
"last_update_date": "2025-06-24",
"next_renewal_date": "2021-07-02",
"managing_lou": "5493001KJTIIGC8Y1R12",
"corroboration_level": "FULLY_CORROBORATED",
"conformity_flag": "NON_CONFORMING"
},
{
"registration_number": "54930084X7ZWMJMFPT42",
"name": "Maida's Property LLC",
"status": "LAPSED",
"address": "C/O Munem Maida, 13601 Apple Valley Road, 92308 Apple Valley, US-CA, US",
"url": "https://search.gleif.org/#/record/54930084X7ZWMJMFPT42",
"company_type": "EI4J",
"incorporation_date": "2010-04-19",
"legal_form_code": "EI4J",
"legal_form_other": null,
"entity_status": "ACTIVE",
"category": "GENERAL",
"sub_category": null,
"jurisdiction": "US-CA",
"country": "US",
"headquarters_address": "13601 Apple Valley Road, 92308 Apple Valley, US-CA, US",
"registered_at": "RA000598",
"registered_as": "201011210282",
"other_names": [],
"transliterated_other_names": [],
"initial_registration_date": "2013-07-17",
"last_update_date": "2025-05-30",
"next_renewal_date": "2015-07-23",
"managing_lou": "5493001KJTIIGC8Y1R12",
"corroboration_level": "FULLY_CORROBORATED",
"conformity_flag": "NON_CONFORMING"
}
],
"total_found": 592,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 118582
},
"total_points": 2
}GLEIF companies search
Search the Global LEI Index by company name or LEI code: LEI, name, LEI status, address, legal form code, creation date, category, jurisdiction, registration dates and managing issuer. Filter by active or inactive LEI, exact LEI status, entity category and country. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Company name or LEI. e.g. Apple
Max items (up to 250)
1 <= x <= 250Starting page
x >= 1Active or inactive LEI. Options: active = Active, inactive = Inactive / dissolved
active, inactive LEI status (exact). Options: ISSUED = Issued, LAPSED = Lapsed, ANNULLED = Annulled, RETIRED = Retired, MERGED = Merged, DUPLICATE = Duplicate, PENDING_TRANSFER = Pending transfer, PENDING_ARCHIVAL = Pending archival, PENDING_NAME_TRANSFER = Pending name transfer, PENDING_NAME_TRANSFER_MERGER = Pending name transfer (merger), PENDING_VALIDATION = Pending validation
ISSUED, LAPSED, ANNULLED, RETIRED, MERGED, DUPLICATE, PENDING_TRANSFER, PENDING_ARCHIVAL, PENDING_NAME_TRANSFER, PENDING_NAME_TRANSFER_MERGER, PENDING_VALIDATION Entity category. Options: GENERAL = General, FUND = Fund, BRANCH = Branch, SOLE_PROPRIETOR = Sole proprietor, INTERNATIONAL_ORGANIZATION = International organization, RESPONSIBLE_ENTITY = Responsible entity
GENERAL, FUND, BRANCH, SOLE_PROPRIETOR, INTERNATIONAL_ORGANIZATION, RESPONSIBLE_ENTITY Country (2-letter code). e.g. DE
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.